githubEdit

User reserves data

get

Retrieves the user's reserve data from the AAVE v3 UI Pool Data Provider.

Authorizations
AuthorizationstringRequired
Query parameters
contract_addressstringRequired
  • The contract address of the AAVE v3 UI Pool Data Provider.
chain_idstringRequired
  • The chain ID where the contract is deployed.
providerstringRequired
  • The provider address.
userstringRequired
  • The user address whose reserve data is to be fetched.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Responses
chevron-right
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing an array of UserReserveData.

application/json

Interface representing the API response from AAVE v3 UI Pool Data Provider.

successbooleanRequired

Indicates whether the API call was successful.

messagestringRequired

A message providing additional information about the API call.

get
/aave/v3/pool-data/user-reserves-data
200

A promise that resolves to an AAVEv3UiPoolDataProviderAPIResponse containing an array of UserReserveData.